package com.sumanta.common;

import java.io.IOException;
import java.io.InputStream;

import javax.microedition.io.StreamConnection;

import com.sumanta.midlet.BlueP2P;

public class CommonReadWrite {
	public CommonReadWrite()
	{
		
	}
	
	public static String read(StreamConnection conn)
	{
		byte[] data = null;
		if(conn != null){
			try {
				CommonVariables.in = conn.openInputStream();
				//first read the length of the incoming string
				int len = CommonVariables.in.read();
				//prepare the data buffer for the string
				data = new byte[len];
				
				//reinit len, we will use it for validation of length
				len = 0;
				
				//the following trick is done to read the whole data even
				//if it comes in a bursty manner
				while(len != data.length)
				{
					//read(buffer, offset, length)
					int readLen = CommonVariables.in.read(data, len, data.length-len);
					if(readLen == -1)
						throw new IOException("Can't read data.");
					len += readLen;
				}
			} catch (IOException e) {
				System.out.println("Error in read method");
				e.printStackTrace();
			}
		}
		BlueP2P.readfield.setString(new String(data));
		return new String(data);
	}
	
	public static void write(StreamConnection conn, String msg)
	{
		try {
			CommonVariables.out = conn.openOutputStream();
			CommonVariables.out.write(msg.length()); // length is 1 byte
		    CommonVariables.out.write(msg.getBytes());
		} catch (IOException e) {
			System.out.println("Error in write method");
			e.printStackTrace();
		}       
	    
	}
}
